# miniaudio.jai

Jai bindings for [miniaudio](https://github.com/mackron/miniaudio)

## Initial setup

If you want to build the lib then you'll need the source code. You can do this with: `git submodule update --init --recursive`.
In the future if you need to pull in the source submodule again (e.g. the folder got deleted), then run: `git submodule update --recursive`

## Usage

Simply import the module. If you're using a static library version then you're set. If you generated a DLL (and new bindings to load it) then you need to copy the DLL from the windows/ folder to the working directory of your exe.

## TODO

* Manually add these static inline implementations
    ./source/extras/miniaudio_split/miniaudio.h:2407:28: Stripping function that’s missing from foreign libs: ma_get_bytes_per_frame
    ./source/extras/miniaudio_split/miniaudio.h:6005:25: Stripping function that’s missing from foreign libs: ma_offset_pcm_frames_ptr_f32
    ./source/extras/miniaudio_split/miniaudio.h:6006:31: Stripping function that’s missing from foreign libs: ma_offset_pcm_frames_const_ptr_f32
* Replace malloc, realloc, free with Jai procs.
* Add support for other platforms (currently only supporting Windows).
* Review bindings to see if any declarations are missing.

